Jump to content

et mac support


Recommended Posts

sorry guys but i thought as this is the fountain of knowledge i thought i'd post here :D

 

my stepson just got a mac......... and the only download i can find is for enemy territory 2005 ...... has there been continued support for this ? or is he stuck using an older version ?

 

any help would be appreciated

Edited by TALON1973
Link to post
Share on other sites

Ello mate, you can download and patch it to 2.60d or the full install, and it will play on most of the servers around on 2.6, but the only one he won't be able to play is etpro servers, as the etpro mod stopped short of updating to universal mac binaries, but he should be able to play on jaymod, main, and most other mods.

All we need now is a mac rcon client, hlsw and xfire :-) as gameranger doesnt cover ET or the upcoming ETQW yet. Wonder if it will do COD4 as it does COD2

 

Links to downloads half way down the following post on Splash damage

http://www.splashdamage.com/forums/showthread.php?t=14517

Link to post
Share on other sites

I posted this link to one of my former clan-members who runs a mac, and had no issue playing etpro, on a 2.60b patched linux server.

 

One of the issues found, if memory serves me correctly, is that Mac players can play on Linux servers, but not Windows servers, with the 2.60b patch installed. Not quite sure of the why on that, but I know the patch, server-side, also included the Mac-required files, and when I ran an ET server, had them installed, and players with Mac's could connect with no issue, regardless of running the etpro mod.

Link to post
Share on other sites

The issue is what mac is he playing on , intel mac's require universal binary version of etpro, Powerpc chipped mac's don't have an issue, unless they have updated I always had an issue playing etpro servers on an intel mac as I would get kicked straight away for mismatch

Link to post
Share on other sites

Yeah, there's an issue with the patches, but I've been able to join all servers on both my G5 as well as the new MB Pro with Intel. It's a bit of a hassle on the Intel-based computers but nothing mind-boggling. They didn't absolutely REQUIRE the binary vers. last time I checked though, but it's been a while so I might not be the most up to date person here, hehe :D (I actually copied all the ET files from my G5 and it definitely worked a couple of months ago)

 

If using the 2.60d patch, you'd be unable to join ETPro (3.2.6?) due to the fact that it requires the 2.60 b patch and nothing else will do. Now, to play on Pro servers, you have to swap the icon with the 2.60b one and it's good to go- simple as that. The downsides are that the game doesn't recognise the Intel processors architecture, (mine counts core 2 duo as crappy G4s) thus producing lower frame-rates in the game when compared to 2.60d patch because the game doesn't use the potential of the processor. BUT, since it's the only way to go, you're going to have to put up with it, or, I guess you can play on older ETPro servers as well as every other mod's servers with the d patch but you would miss out on the pro fun ;)

 

So, you can play Pro with Intel, it's just the matter of picture quality and actually thinking which servers to join before you fire up ET =) I highly recommend the trouble... It's ETPRO! :D (mm, yeah, I'm a fan, what can one do.

Edited by -=W.GodWorthy.T=-
Link to post
Share on other sites

Thanks for posting, GW. I knew you had a work-around for it, and any help with such matters is always appreciated, for those looking for solutions. I don't personally own a Mac, and probably never will, so I can only draw info from those that do.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.